### Method

# Camel NetworkService can_reach_sync

since: 3.12

#### Declaration [src]

    gboolean
    camel_network_service_can_reach_sync (
      CamelNetworkService* service,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Attempts to determine whether or not the host described by `service`‘s `CamelNetworkService:connectable` property can be reached, without actually trying to connect to it.

If `service` believes an attempt to connect will succeed, the function returns `TRUE`. Otherwise the function returns `FALSE` and sets `error` to an appropriate error (such as `G_IO_ERROR_HOST_UNREACHABLE`).

The function will also update the `service`‘s `CamelNetworkService:host-reachable` property based on the result.

Available since: 3.12

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the host for `service` can be reached.